Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader

public abstract synchronized class ClassLoader
extends Object

Constructor Summary
`protected` | `ClassLoader()`
`protected` | `ClassLoader(ClassLoader)`

Method Summary
`protected Class` | `defineClass(byte[], int, int)`
`protected Class` | `defineClass(String, byte[], int, int)`
`protected Class` | `defineClass(String, byte[], int, int, ProtectionDomain)`
`protected Package` | `definePackage(String, String, String, String, String, String, String, java.net.URL)`
`protected Class` | `findClass(String)`
`protected String` | `findLibrary(String)`
`protected Class` | `findLoadedClass(String)`
`protected java.net.URL` | `findResource(String)`
`protected java.util.Enumeration` | `findResources(String)`
`protected Class` | `findSystemClass(String)`
`protected Package` | `getPackage(String)`
`protected Package[]` | `getPackages()`
`ClassLoader` | `getParent()`
`java.net.URL` | `getResource(String)`
`java.io.InputStream` | `getResourceAsStream(String)`
`java.util.Enumeration` | `getResources(String)`
`static ClassLoader` | `getSystemClassLoader()`
`static java.net.URL` | `getSystemResource(String)`
`static java.io.InputStream` | `getSystemResourceAsStream(String)`
`static java.util.Enumeration` | `getSystemResources(String)`
`Class` | `loadClass(String)`
`protected Class` | `loadClass(String, boolean)`
`protected void` | `resolveClass(Class)`
`protected void` | `setSigners(Class, Object[])`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoader

    protected ClassLoader()

### ClassLoader

    protected ClassLoader(ClassLoader)

Method Detail

### defineClass

    protected final Class defineClass(String,
                                      byte[],
                                      int,
                                      int)
                               throws ClassFormatError

### defineClass

    protected final Class defineClass(String,
                                      byte[],
                                      int,
                                      int,
                                      ProtectionDomain)
                               throws ClassFormatError

### defineClass

    protected final Class defineClass(byte[],
                                      int,
                                      int)
                               throws ClassFormatError

### definePackage

    protected Package definePackage(String,
                                    String,
                                    String,
                                    String,
                                    String,
                                    String,
                                    String,
                                    java.net.URL)
                             throws IllegalArgumentException

### findClass

    protected Class findClass(String)
                       throws ClassNotFoundException

### findLibrary

    protected String findLibrary(String)

### findLoadedClass

    protected final Class findLoadedClass(String)

### findResource

    protected java.net.URL findResource(String)

### findResources

    protected java.util.Enumeration findResources(String)
                                           throws java.io.IOException

### findSystemClass

    protected final Class findSystemClass(String)
                                   throws ClassNotFoundException

### getPackage

    protected Package getPackage(String)

### getPackages

    protected Package[] getPackages()

### getParent

    public final ClassLoader getParent()

### getResource

    public java.net.URL getResource(String)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(String)

### getResources

    public final java.util.Enumeration getResources(String)
                                             throws java.io.IOException

### getSystemClassLoader

    public static ClassLoader getSystemClassLoader()

### getSystemResource

    public static java.net.URL getSystemResource(String)

### getSystemResourceAsStream

    public static java.io.InputStream getSystemResourceAsStream(String)

### getSystemResources

    public static java.util.Enumeration getSystemResources(String)
                                                    throws java.io.IOException

### loadClass

    public Class loadClass(String)
                    throws ClassNotFoundException

### loadClass

    protected Class loadClass(String,
                              boolean)
                       throws ClassNotFoundException

### resolveClass

    protected final void resolveClass(Class)

### setSigners

    protected final void setSigners(Class,
                                    Object[])

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.